MagickCore: enhance.h File Reference

# enhance.h File Reference

Go to the source code of this file.

## Functions
MagickExport MagickBooleanType | ClutImage (Image *, const Image *)
MagickExport MagickBooleanType | ClutImageChannel (Image *, const ChannelType, const Image *)
MagickExport MagickBooleanType | ContrastImage (Image *, const MagickBooleanType)
MagickExport MagickBooleanType | ContrastStretchImage (Image *, const char *)
MagickExport MagickBooleanType | ContrastStretchImageChannel (Image *, const ChannelType, const double, const double)
MagickExport MagickBooleanType | EqualizeImage (Image *image)
MagickExport MagickBooleanType | EqualizeImageChannel (Image *image, const ChannelType)
MagickExport MagickBooleanType | GammaImage (Image *, const char *)
MagickExport MagickBooleanType | GammaImageChannel (Image *, const ChannelType, const double)
MagickExport MagickBooleanType | LevelImage (Image *, const char *)
MagickExport MagickBooleanType | LevelImageChannel (Image *, const ChannelType, const double, const double, const double)
MagickExport MagickBooleanType | LinearStretchImage (Image *, const double, const double)
MagickExport MagickBooleanType | ModulateImage (Image *, const char *)
MagickExport MagickBooleanType | NegateImage (Image *, const MagickBooleanType)
MagickExport MagickBooleanType | NegateImageChannel (Image *, const ChannelType, const MagickBooleanType)
MagickExport MagickBooleanType | NormalizeImage (Image *)
MagickExport MagickBooleanType | NormalizeImageChannel (Image *, const ChannelType)
MagickExport MagickBooleanType | SigmoidalContrastImage (Image *, const MagickBooleanType, const char *)
MagickExport MagickBooleanType | SigmoidalContrastImageChannel (Image *, const ChannelType, const MagickBooleanType, const double, const double)
MagickExport Image * | EnhanceImage (const Image *, ExceptionInfo *)

## Function Documentation

MagickExport MagickBooleanType ClutImage | ( | Image * | ,
|  | const Image * |  |
| ) |  |  |

MagickExport MagickBooleanType ClutImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const Image * |  |
| ) |  |  |

MagickExport MagickBooleanType ContrastImage | ( | Image * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType ContrastStretchImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType ContrastStretchImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double |
| ) |  |  |

MagickExport Image* EnhanceImage | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType EqualizeImage | ( | Image * | image | ) |

MagickExport MagickBooleanType EqualizeImageChannel | ( | Image * | image,
|  | const | ChannelType |
| ) |  |  |

MagickExport MagickBooleanType GammaImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType GammaImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | double |
| ) |  |  |

MagickExport MagickBooleanType LevelImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType LevelImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

MagickExport MagickBooleanType LinearStretchImage | ( | Image * | ,
|  | const | double,
|  | const | double |
| ) |  |  |

MagickExport MagickBooleanType ModulateImage | ( | Image * | ,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType NegateImage | ( | Image * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType NegateImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType NormalizeImage | ( | Image * |  | ) |

MagickExport MagickBooleanType NormalizeImageChannel | ( | Image * | ,
|  | const | ChannelType |
| ) |  |  |

MagickExport MagickBooleanType SigmoidalContrastImage | ( | Image * | ,
|  | const | MagickBooleanType,
|  | const char * |  |
| ) |  |  |

MagickExport MagickBooleanType SigmoidalContrastImageChannel | ( | Image * | ,
|  | const | ChannelType,
|  | const | MagickBooleanType,
|  | const | double,
|  | const | double |
| ) |  |  |